<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mmenu extends CI_Model
{

    public $table = 'MS_MENU';
    public $id = 'ID_INC';
    public $order = 'desc';

    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function json() {
        $this->datatables->select("ID_INC,NAMA_MENU,PARENT_MENU");
        $this->datatables->from("V_MENU");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Setting/Msmenu/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"  ').anchor(site_url('Setting/Msmenu/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" onclick="javasciprt: return confirm(\'Apakah anda yakin?\')"').'</div>', "acak(ID_INC)");
        return $this->datatables->generate();
    }
 
    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
  

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }


    function ListParent(){
        return $this->db->query("SELECT ID_INC,NAMA_MENU FROM MS_MENU WHERE PARENT='0' ORDER BY SORT ASC")->result();
    }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */